Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class CompilerContext

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.CompilerContext

    public class CompilerContext
    extends Object

Default implementation for the compiler context

See Also:
  `Plugin`

### Constructor Summary

Constructors
`CompilerContext​(SymbolGenerator symbolGenerator, ExpressionWrapper wrapper, PushStream pushStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `adjustToContext​(Expression expression, MarkupContext context, ExpressionContext expressionContext)`
`String` `generateGlobalVariable​(String hint)`
`String` `generateVariable​(String hint)`
`PushStream` `getPushStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerContext

    public CompilerContext​(SymbolGenerator symbolGenerator,
                           ExpressionWrapper wrapper,
                           PushStream pushStream)

### Method Detail

#### generateVariable

    public String generateVariable​(String hint)

#### generateGlobalVariable

    public String generateGlobalVariable​(String hint)

#### adjustToContext

    public Expression adjustToContext​(Expression expression,
                                      MarkupContext context,
                                      ExpressionContext expressionContext)

#### getPushStream

    public PushStream getPushStream()